﻿@model GarageMaster.Models.RoleModels.RoleEditModel

@{
    ViewData["Title"] = "EditRoleByAdmin";
}

<h1>EditRoleByAdmin</h1>

<h4>RoleEditModel</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="EditRoleByAdmin" method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <input type="hidden" asp-for="Id" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="Name" class="control-label"></label>
                <input asp-for="Name" class="form-control" />
                <span asp-validation-for="Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-area="Admin" asp-controller="Role" asp-action="ProfileRole" asp-route-id="@Model.Id">Back to Profile Role</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
